import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesPieComponent extends TdSeriesDirective {
    legendHoverLink;
    hoverAnimation;
    hoverOffset;
    selectedMode;
    selectedOffset;
    clockwise;
    startAngle;
    minAngle;
    minShowLabelAngle;
    roseType;
    avoidLabelOverlap;
    stillShowZeroSum;
    cursor;
    labelLine;
    label;
    itemStyle;
    emphasis;
    seriesLayoutBy;
    datasetIndex;
    markPoint;
    markLine;
    markArea;
    zlevel;
    z;
    center;
    radius;
    constructor(_optionsService) {
        super('pie', _optionsService);
    }
    getConfig() {
        return {
            legendHoverLink: this.legendHoverLink,
            label: this.label,
            itemStyle: this.itemStyle,
            emphasis: this.emphasis,
            selectedMode: this.selectedMode,
            selectedOffset: this.selectedOffset,
            clockwise: this.clockwise,
            startAngle: this.startAngle,
            minAngle: this.minAngle,
            minShowLabelAngle: this.minShowLabelAngle,
            roseType: this.roseType,
            avoidLabelOverlap: this.avoidLabelOverlap,
            stillShowZeroSum: this.stillShowZeroSum,
            cursor: this.cursor,
            labelLine: this.labelLine,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            center: this.center,
            radius: this.radius,
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: TdChartSeriesPieComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.1.2", type: TdChartSeriesPieComponent, selector: "td-chart-series[td-pie]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", legendHoverLink: "legendHoverLink", hoverAnimation: "hoverAnimation", hoverOffset: "hoverOffset", selectedMode: "selectedMode", selectedOffset: "selectedOffset", clockwise: "clockwise", startAngle: "startAngle", minAngle: "minAngle", minShowLabelAngle: "minShowLabelAngle", roseType: "roseType", avoidLabelOverlap: "avoidLabelOverlap", stillShowZeroSum: "stillShowZeroSum", cursor: "cursor", labelLine: "labelLine", label: "label", itemStyle: "itemStyle", emphasis: "emphasis", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", center: "center", radius: "radius" }, providers: [
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef(() => TdChartSeriesPieComponent),
            },
        ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: TdChartSeriesPieComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-pie]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesPieComponent),
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i1.TdChartOptionsService }], propDecorators: { legendHoverLink: [{
                type: Input
            }], hoverAnimation: [{
                type: Input
            }], hoverOffset: [{
                type: Input
            }], selectedMode: [{
                type: Input
            }], selectedOffset: [{
                type: Input
            }], clockwise: [{
                type: Input
            }], startAngle: [{
                type: Input
            }], minAngle: [{
                type: Input
            }], minShowLabelAngle: [{
                type: Input
            }], roseType: [{
                type: Input
            }], avoidLabelOverlap: [{
                type: Input
            }], stillShowZeroSum: [{
                type: Input
            }], cursor: [{
                type: Input
            }], labelLine: [{
                type: Input
            }], label: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], seriesLayoutBy: [{
                type: Input
            }], datasetIndex: [{
                type: Input
            }], markPoint: [{
                type: Input
            }], markLine: [{
                type: Input
            }], markArea: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }], center: [{
                type: Input
            }], radius: [{
                type: Input
            }] } });

const PIE_MODULE_COMPONENTS = [TdChartSeriesPieComponent];
class CovalentPieEchartsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: CovalentPieEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.1.2", ngImport: i0, type: CovalentPieEchartsModule, declarations: [TdChartSeriesPieComponent], imports: [CommonModule], exports: [TdChartSeriesPieComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: CovalentPieEchartsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.1.2", ngImport: i0, type: CovalentPieEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [PIE_MODULE_COMPONENTS],
                    exports: [PIE_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentPieEchartsModule, PIE_MODULE_COMPONENTS, TdChartSeriesPieComponent };
//# sourceMappingURL=covalent-echarts-pie.mjs.map
